<template>
    <div>
        <section class="ftco-about img ftco-section ftco-no-pb js-fullheight" id="about-section">
            <div class="container  mb-lg-5">
                <div class="row d-flex no-gutters">
                    <div class="col-md-6 col-lg-4 d-flex">
                        <div class="img-about img d-flex align-items-stretch">
                            <div class="overlay"></div>
                            <div class="img d-flex align-self-stretch align-items-center"
                                 style="background-image:url(assets/images/profile-photo-2.jpeg);background-position-y: 0;">
                            </div>
                        </div>
                    </div>
                    <div class="col-md-6 col-lg-8 pl-md-5 py-5">
                        <div class="row justify-content-start pb-3">
                            <div class="col-md-12 heading-section ftco-animate">
                                <h1 class="big">About</h1>
                                <h2 class="mb-4">About Me</h2>
                                <p>{{cms.about.intro}}</p>
                                <ul class="about-info mt-4 px-md-0 px-2">
                                    <li class="d-flex"><span>Name:</span> <span>{{cms.about.name}}</span></li>
                                    <li class="d-flex"><span>Born:</span> <span>{{cms.about.born}}</span></li>
                                    <li class="d-flex"><span>Location:</span> <span>{{cms.about.location}}</span>
                                    </li>
                                </ul>
                            </div>
                        </div>
                        <div class="counter-wrap ftco-animate d-flex mt-md-3">
                            <div class="text">
                                <p><a target="_blank" href="/CV-YOGENDRA-MOHARA.pdf" class="btn btn-primary py-3 px-3"> Download CV</a></p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="ftco-section ftco-hireme img" style="background-image: url(assets/images/bg_1.jpg)">
                <div class="overlay"></div>
                <div class="container">
                    <div class="row justify-content-center">
                        <div class="col-md-7 ftco-animate text-center">
                            <h2>I'm <span>Available</span> for freelancing</h2>
                            <p class="mb-0"><a href="#contact-section" class="btn btn-primary py-3 px-5">Get in touch</a>
                            </p>
                        </div>
                    </div>
                </div>
            </div>
        </section>

    </div>
</template>

<script>
    export default {
        name: 'About',
        props: {
            cms: Object,
            fullHeight: Function,
            loader: Function,
            contentWayPoint: Function,
        },
        mounted() {
            this.fullHeight();
            this.loader();
            this.contentWayPoint();
        }
    }
</script>

<style scoped>
    .btn {
        border-radius: 5px;
    }
</style>
